import request from "@/utils/request";

// 查询列表
export function getList(query) {
  return request({
    url: "/video/content/list",
    method: "get",
    params: query,
  });
}

// 查询详情
export function getDetail(id) {
  return request({
    url: `/video/content/${id}`,
    method: "get",
  });
}

// 新增
export function add(data) {
  return request({
    url: "/video/content",
    method: "post",
    data,
  });
}

// 修改
export function update(data) {
  return request({
    url: "/video/content",
    method: "put",
    data,
  });
}

// 删除
export function del(ids) {
  return request({
    url: `/video/content/${ids}`,
    method: "delete",
  });
}

// 操作记录
export function getRecord(query) {
  return request({
    url: `/video/operationRecord/list`,
    method: "get",
    params: query,
  });
}
